
package com.tmerclub.cloud.common.order.bo;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * @author tmerclub
 * @date 2020/12/30
 */
public class OrderStatusBO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    private Long orderId;

    private Integer status;

    private Integer deliveryType;

    private Integer orderType;

    private Integer orderMold;

    private Long userId;

    private Long supplierId;
    private Long shopId;

    /**
     * 是否待采购 1.是 0.否
     */
    private Integer waitPurchase;

    /**
     * 实付金额
     */
    private Long actualTotal;

    /**
     * 商家采购价差（需要商家从结算金额补上采购价的金额）
     */
    private Long purchaseSpreadAmount;
    /**
     * 尾款
     */
    private Long balanceAmount;

    /**
     * 定金
     */
    private Long depositAmount;

    /**
     * 预售类型 -1.未开启预售 0.全款预售类型 1.定金预售
     */
    private Integer preSaleType;
    /**
     * 尾款支付结束时间
     */
    private Date balanceEndTime;
    /**
     * 运费
     */
    private Long freightAmount;
    /**
     * 减免运费
     */
    private Long platformFreeFreightAmount;

    public Long getFreightAmount() {
        return freightAmount;
    }

    public void setFreightAmount(Long freightAmount) {
        this.freightAmount = freightAmount;
    }

    public Long getPlatformFreeFreightAmount() {
        return platformFreeFreightAmount;
    }

    public void setPlatformFreeFreightAmount(Long platformFreeFreightAmount) {
        this.platformFreeFreightAmount = platformFreeFreightAmount;
    }

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public Date getBalanceEndTime() {
        return balanceEndTime;
    }

    public void setBalanceEndTime(Date balanceEndTime) {
        this.balanceEndTime = balanceEndTime;
    }

    public Long getBalanceAmount() {
        return balanceAmount;
    }

    public void setBalanceAmount(Long balanceAmount) {
        this.balanceAmount = balanceAmount;
    }

    public Long getDepositAmount() {
        return depositAmount;
    }

    public void setDepositAmount(Long depositAmount) {
        this.depositAmount = depositAmount;
    }

    public Integer getOrderMold() {
        return orderMold;
    }

    public void setOrderMold(Integer orderMold) {
        this.orderMold = orderMold;
    }

    public Long getActualTotal() {
        return actualTotal;
    }

    public void setActualTotal(Long actualTotal) {
        this.actualTotal = actualTotal;
    }

    public Integer getDeliveryType() {
        return deliveryType;
    }

    public void setDeliveryType(Integer deliveryType) {
        this.deliveryType = deliveryType;
    }

    public Integer getPreSaleType() {
        return preSaleType;
    }

    public void setPreSaleType(Integer preSaleType) {
        this.preSaleType = preSaleType;
    }

    public Long getPurchaseSpreadAmount() {
        return purchaseSpreadAmount;
    }

    public void setPurchaseSpreadAmount(Long purchaseSpreadAmount) {
        this.purchaseSpreadAmount = purchaseSpreadAmount;
    }

    public Integer getWaitPurchase() {
        return waitPurchase;
    }

    public void setWaitPurchase(Integer waitPurchase) {
        this.waitPurchase = waitPurchase;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getOrderId() {
        return orderId;
    }

    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getOrderType() {
        return orderType;
    }

    public void setOrderType(Integer orderType) {
        this.orderType = orderType;
    }

    public Long getSupplierId() {
        return supplierId;
    }

    public void setSupplierId(Long supplierId) {
        this.supplierId = supplierId;
    }

    @Override
    public String toString() {
        return "OrderStatusBO{" +
                "orderId=" + orderId +
                ", status=" + status +
                ", deliveryType=" + deliveryType +
                ", orderType=" + orderType +
                ", orderMold=" + orderMold +
                ", userId=" + userId +
                ", supplierId=" + supplierId +
                ", shopId=" + shopId +
                ", waitPurchase=" + waitPurchase +
                ", actualTotal=" + actualTotal +
                ", purchaseSpreadAmount=" + purchaseSpreadAmount +
                ", balanceAmount=" + balanceAmount +
                ", depositAmount=" + depositAmount +
                ", preSaleType=" + preSaleType +
                ", balanceEndTime=" + balanceEndTime +
                ", freightAmount=" + freightAmount +
                ", platformFreeFreightAmount=" + platformFreeFreightAmount +
                '}';
    }
}
